classification
Title: test_bufio failures on Win64 buildbot
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: jeremy.kloth, jkloth, pitrou, serhiy.storchaka, zach.ware
Priority: normal Keywords: buildbot

Created on 2012-06-26 12:53 by pitrou, last changed 2020-04-27 04:39 by zach.ware. This issue is now closed.

Messages (7)
msg164072 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-06-26 12:53
test_bufio fails sporadically on the AMD64 Windows7 SP1 buildbot, e.g.:

http://buildbot.python.org/all/builders/AMD64%20Windows7%20SP1%203.x/builds/161/steps/test/logs/stdio

test_nullpat (test.test_bufio.CBufferSizeTest) ... ok
test_primepat (test.test_bufio.CBufferSizeTest) ... ERROR
test_nullpat (test.test_bufio.PyBufferSizeTest) ... ok
test_primepat (test.test_bufio.PyBufferSizeTest) ... ok

======================================================================
ERROR: test_primepat (test.test_bufio.CBufferSizeTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\Buildbot\buildbot.python.org\3.x.kloth-win64\build\lib\test\test_bufio.py", line 59, in test_primepat
    self.drive_one(b"1234567890\00\01\02\03\04\05\06")
  File "C:\Users\Buildbot\buildbot.python.org\3.x.kloth-win64\build\lib\test\test_bufio.py", line 52, in drive_one
    self.try_one(teststring)
  File "C:\Users\Buildbot\buildbot.python.org\3.x.kloth-win64\build\lib\test\test_bufio.py", line 20, in try_one
    support.unlink(support.TESTFN)
  File "C:\Users\Buildbot\buildbot.python.org\3.x.kloth-win64\build\lib\test\support.py", line 229, in unlink
    os.unlink(filename)
PermissionError: [Error 5] Access is denied: '@test_2420_tmp'


Is there some kind of anti-virus installed on the machine?
msg164083 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-06-26 16:25
Looks similar to the sporadic test_reprlib failure. Roumen has explained
that here:

http://bugs.python.org/issue14599#msg162727


I didn't test myself though, just a guess.
msg164084 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-06-26 16:31
> Looks similar to the sporadic test_reprlib failure. Roumen has explained
> that here:

I don't think there's anything similar. The path is much smaller in
test_bufio.
msg164086 - (view) Author: Jeremy Kloth (jeremy.kloth) Date: 2012-06-26 17:20
I've changed the malware scanner to disable real-time protection and
have disabled scanning of the buildbot directories.

Note that I could reproduce intermittent failures when using '-j' of
regrtest, but with these changes they no longer appear.
msg164095 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-06-26 20:21
> I've changed the malware scanner to disable real-time protection and
> have disabled scanning of the buildbot directories.

Thank you. I hope that, thanks to this change, we later can make the
Win64 buildbot part of the bunch of stable buildbots.
msg331681 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-12 08:45
The implementation of test.support.unlink() was changed since. It tries to change permissions of read-only files, and repeat attempts several times. It looks more reliable now. Is this issue still reproducible?
msg367392 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2020-04-27 04:39
I've not seen this issue on that worker for a very long time; closing the issue.
History
Date User Action Args
2020-04-27 04:39:40zach.waresetstatus: pending -> closed

nosy: + zach.ware
messages: + msg367392

resolution: out of date
stage: resolved
2018-12-12 08:45:22serhiy.storchakasetstatus: open -> pending
nosy: + serhiy.storchaka
messages: + msg331681

2014-05-13 21:51:03skrahsetnosy: - skrah
2012-06-26 20:21:17pitrousetmessages: + msg164095
2012-06-26 17:20:22jeremy.klothsetmessages: + msg164086
2012-06-26 16:37:44pitrousetnosy: + jeremy.kloth
2012-06-26 16:32:00pitrousetmessages: + msg164084
2012-06-26 16:25:44skrahsetmessages: + msg164083
2012-06-26 12:53:28pitroucreate